<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.TArchivesExportLimitMapper">

	<resultMap id="tArchivesExportLimitMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.TArchivesExportLimit">
		<id property="id" column="id"/>
		<result property="deleteFlag" column="delete_flag"/>
		<result property="type" column="type"/>
		<result property="createBy" column="CREATE_BY"/>
		<result property="createName" column="CREATE_NAME"/>
		<result property="createTime" column="CREATE_TIME"/>
		<result property="updateBy" column="UPDATE_BY"/>
		<result property="updateTime" column="UPDATE_TIME"/>
		<result property="progressBar" column="PROGRESS_BAR"/>
	</resultMap>
	<sql id="Base_Column_List">
		a.id,
		a.type,
		a.delete_flag,
		a.CREATE_BY,
		a.CREATE_NAME,
		a.CREATE_TIME,
		a.UPDATE_BY,
		a.UPDATE_TIME,
		a.PROGRESS_BAR
	</sql>
	<sql id="tArchivesExportLimit_where">
		<if test="tArchivesExportLimit != null">
			<if test="tArchivesExportLimit.id != null and tArchivesExportLimit.id.trim() != ''">
				AND a.id = #{tArchivesExportLimit.id}
			</if>
			<if test="tArchivesExportLimit.createBy != null and tArchivesExportLimit.createBy.trim() != ''">
				AND a.CREATE_BY = #{tArchivesExportLimit.createBy}
			</if>
			<if test="tArchivesExportLimit.type != null">
				AND a.type = #{tArchivesExportLimit.type}
			</if>
		</if>
	</sql>

</mapper>
